package cn.cecep.talroad.service.impl;

import cn.cecep.talroad.domain.SEnvGasMonHour;
import cn.cecep.talroad.domain.analysis.SRaWaterPermittedOnline;
import cn.cecep.talroad.mapper.SEnvGasMonHourMapper;
import cn.cecep.talroad.service.ISEnvGasMonHourService;
import cn.cecep.talroad.vo.analysis.FactoryOutletStaticsVo;
import cn.cecep.talroad.vo.query.analysis.SRaWaterPermittedOnlineQuery;
import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import java.util.Date;
import java.util.List;
import java.util.Set;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Auther: cjh
 * @Date: 2023-06-21 17:15
 * @Class: SEnvGasMonHourServiceImpl
 * @Deseription:
 * @Version V1.0
 */
@Service
public class SEnvGasMonHourServiceImpl extends ServiceImpl<SEnvGasMonHourMapper, SEnvGasMonHour> implements ISEnvGasMonHourService {

    @Autowired
    private SEnvGasMonHourMapper sEnvGasMonHourMapper;


    @Override
    public List<SEnvGasMonHour> selectLastHourData(String pollutantOutletType, String lastHour) {
        return sEnvGasMonHourMapper.selectLastHourData(pollutantOutletType,lastHour);
    }

    @Override
    public List<SEnvGasMonHour> selectLastDayData(String pollutantOutletType, Date lastDayBegin, Date lastDayEnd) {
        return sEnvGasMonHourMapper.selectLastDayData(pollutantOutletType,lastDayBegin,lastDayEnd);
    }

    @Override
    public List<SEnvGasMonHour> selectSRaWaterPermittedOnlineListBy(SRaWaterPermittedOnlineQuery lambdaQueryWrapper) {
        return sEnvGasMonHourMapper.selectSRaWaterPermittedOnlineListBy(lambdaQueryWrapper);
    }

    @Override
    public List<SEnvGasMonHour> selectSRaWaterSourceListBy(SRaWaterPermittedOnlineQuery lambdaQueryWrapper) {

        return sEnvGasMonHourMapper.selectSRaWaterSourceListBy(lambdaQueryWrapper);
    }

    @Override
    public List<SRaWaterPermittedOnline> selectSRaWaterSourceListByPoll(Set<String> lambdaQueryWrapper) {
        return  sEnvGasMonHourMapper.selectSRaWaterSourceListByPoll(lambdaQueryWrapper);
    }

    @Override
    public List<FactoryOutletStaticsVo> selectLastDayCountData(DateTime queryBeginTime, DateTime queryEndTime) {
        return sEnvGasMonHourMapper.selectLastDayCountData(queryBeginTime,queryEndTime);
    }

    @Override
    public List<SEnvGasMonHour> selectHourDataByTime(String factoryId, String monitorId, Date monitorTime) {
        return sEnvGasMonHourMapper.selectHourDataByTime(factoryId,monitorId,monitorTime);
    }

    @Override
    public List<SEnvGasMonHour> selectManualSRaWaterPermittedOnlineListBy(SRaWaterPermittedOnlineQuery lambdaQueryWrapper) {
        return sEnvGasMonHourMapper.selectManualSRaWaterPermittedOnlineListBy(lambdaQueryWrapper);
    }

    @Override
    public List<SEnvGasMonHour> selectManualSRaWaterSourceListBy(SRaWaterPermittedOnlineQuery lambdaQueryWrapper) {
        return sEnvGasMonHourMapper.selectManualSRaWaterSourceListBy(lambdaQueryWrapper);
    }
}
